HOST = "https://mensa.elliot.ai"
TEST_HOST = "https://lighter-test.elliot.ai"

# ------------ Blockchain IDs -----------
BLOCKCHAIN_OPTIMISM_ID = 10
BLOCKCHAIN_OPTIMISM_GOERLI_ID = 420
BLOCKCHAIN_ARBITRUM_GOERLI_ID = 421613
BLOCKCHAIN_LIGHTER_ID = 123456

# ------------ Assets -------------------
TOKEN_USDC = "USDC"
TOKEN_WBTC = "WBTC"
TOKEN_WETH = "WETH"
TOKEN_LINK = "LINK"
TOKEN_UNI = "UNI"

# ------------ Orderbooks -------------------
ORDERBOOK_WETH_USDC = "WETH_USDC"
ORDERBOOK_WBTC_USDC = "WBTC_USDC"
ORDERBOOK_WETH_WBTC = "WETH_WBTC"
ORDERBOOK_UNI_USDC = "UNI_USDC"
ORDERBOOK_LINK_USDC = "LINK_USDC"


# ------------ Order Statuses -------------------
ORDER_STATUS_OPEN = "partially_filled"
ORDER_STATUS_FILLED = "filled"
ORDER_STATUS_CANCELLED = "canceled"

# ------------ Order Types -------------------
ORDER_TYPE_LIMIT = "limit"
ORDER_TYPE_MARKET = "market"


# ------------ Contracts -------------------

ROUTER_CONTRACT = {
    BLOCKCHAIN_OPTIMISM_ID: "0xb73A4A50662D9E5feF4d17942e68B41Dd2621231",
    BLOCKCHAIN_OPTIMISM_GOERLI_ID: "0x3959f397CE1ba2aed207D6b5aE516A22563351E0",
    BLOCKCHAIN_ARBITRUM_GOERLI_ID: "0x77af67cFD12585627cB7aA546d305a3844155E21",
    BLOCKCHAIN_LIGHTER_ID: "0xfc4768505b1228A5f9d92070B85C3a9fbeAEf035",
}

FACTORY_CONTRACT = {
    BLOCKCHAIN_OPTIMISM_ID: "0x35e67b8C487fe3cE368D74912668de104DABcC73",
    BLOCKCHAIN_OPTIMISM_GOERLI_ID: "0x6CA087a99e50ACd8AD655D1948bB8637f5Abf8B7",
    BLOCKCHAIN_ARBITRUM_GOERLI_ID: "0x8726533AaEdFb404c30EdeF78575f4B9aE928110",
    BLOCKCHAIN_LIGHTER_ID: "0x9ba14da84443497DBFBAbD314E2C579856b2339d",
}

# TODO: this should be discarded when orderbook id comes from endpoint
ORDERBOOK_CONTRACT = {
    BLOCKCHAIN_OPTIMISM_ID: {
        ORDERBOOK_WETH_USDC: "0x276b8d3F08b544B82b2De3ae83Af59D72b8B05Cb"
    },
    BLOCKCHAIN_OPTIMISM_GOERLI_ID: {
        ORDERBOOK_WETH_USDC: "0xd2a4684b4Eaf79AbcF352C3C6b46090c1f83819D"
    },
    BLOCKCHAIN_ARBITRUM_GOERLI_ID: {
        ORDERBOOK_WETH_USDC: "0x35910AC3a63E984b8cb65bdEd56Ec2FB4D6c3887",
        ORDERBOOK_WBTC_USDC: "0x5DBC0C07058fa6893E9c57A5c27Afa0823a86410",
        ORDERBOOK_LINK_USDC: "0xADe78e9dF2624a8B162Fc22054Abf3Fe687124be",
        ORDERBOOK_UNI_USDC: "0x503857ae6a088846d68eFb8e8CfBb4066d4A6ae6",
    },
    BLOCKCHAIN_LIGHTER_ID: {
        ORDERBOOK_WETH_USDC: "0xefEd4aFc46EBF56f0d0613898aD987AaEbeF33f5",
        ORDERBOOK_WBTC_USDC: "0x7dC7165216EfFEB0d77Ea2C81a58aFce908dBC50",
        ORDERBOOK_LINK_USDC: "0xb60e2d284d50a871Ff192D10C39b9cFEb08267ca",
        ORDERBOOK_UNI_USDC: "0x9dbC1C818E8c50816f36132E462618e72322f71C",
    },
}


# ------------ Ethereum Transactions ------------
DEFAULT_GAS_AMOUNT = 250000
DEFAULT_GAS_MULTIPLIER = 1.5
DEFAULT_GAS_PRICE = 4000000000
DEFAULT_GAS_PRICE_ADDITION = 300000
MAX_SOLIDITY_UINT = (
    115792089237316195423570985008687907853269984665640564039457584007913129639935
)
DEFAULT_API_TIMEOUT = 3000
